package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author：蓬叁
 * @Package：com.bwie.auth.feign
 * @Project：maven-day13-exam
 * @name：AuthFeign
 * @Date：2024/8/1 上午8:56
 */
@FeignClient("bwie-user")
public interface AuthFeign {
    @PostMapping("/user/findByName")
    public Result<User> findByName(@RequestParam String userName);
}
