package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：蓬叁
 * @Package：com.bwie.user.controller
 * @Project：maven-day13-exam
 * @name：UserController
 * @Date：2024/8/1 上午8:51
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired private UserService userService;

    @PostMapping("/findByName")
    public Result<User> findByName(@RequestParam String userName){
        return Result.success(userService.findByName(userName));
    }

}
